Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class ExceptionHandler

    java.lang.Object
      dioscuri.module.cpu32.ExceptionHandler

Direct Known Subclasses:
  ProtectedModeExceptionHandler, RealModeExceptionHandler

    public abstract class ExceptionHandler

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`ExceptionHandler(int lastX86Position, RPNNode initialNode, java.util.Map<java.lang.Integer,RPNNode> stateMap)`

Method Summary
`void` | `assignRange(int min, int max)`
`int` | `end()`
`int` | `getX86Index()`
`int` | `start()`
`boolean` | `used()`
`void` | `write(CountingOutputStream byteCodes, ClassFile cf)`
`protected abstract void` | `writeHandlerRoutine(CountingOutputStream byteCodes, ClassFile cf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandler

    public ExceptionHandler(int lastX86Position,
                            RPNNode initialNode,
                            java.util.Map<java.lang.Integer,RPNNode> stateMap)

Parameters:
  `lastX86Position` -
  `initialNode` -
  `stateMap` -

Method Detail

### getX86Index

    public int getX86Index()

  Returns:
    -

### assignRange

    public void assignRange(int min,
                            int max)

  Parameters:
    `min` -
    `max` -

### used

    public boolean used()

  Returns:
    -

### start

    public int start()

  Returns:
    -

### end

    public int end()

  Returns:
    -

### write

    public void write(CountingOutputStream byteCodes,
                      ClassFile cf)
               throws java.io.IOException

  Parameters:
    `byteCodes` -
    `cf` -
  Throws:
    `java.io.IOException`

### writeHandlerRoutine

    protected abstract void writeHandlerRoutine(CountingOutputStream byteCodes,
                                                ClassFile cf)
                                         throws java.io.IOException

  Parameters:
    `byteCodes` -
    `cf` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD